Name:           cursedownloader
Version:        0.2
Release:        2%{?dist}
Summary:        Curse Modpack downloader

License:        GPLv3
URL:            https://github.com/portablejim/curseDownloader
Source0:        https://github.com/portablejim/curseDownloader/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         cursedownloader-setup.py.patch
Patch1:         cursedownloader-0.2-Fix--17--No-such-file-or-directory--minecraft-mods-.patch

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python3-devel
Requires:       python3-appdirs
Requires:       python3-requests
Requires:       python3-tkinter

%description
A simple script to download mods from a CurseForge Minecraft Modpacks.


%prep
%autosetup -n curseDownloader-%{version}


%build
%py3_build


%install
%py3_install
# Generate desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=curseDownloader
Exec=cursePackDownloader --manifest "%f"
Terminal=false
Categories=Game;
Comment=Download extra mods from Curse-hosted Minecraft modpacks
MimeType=application/json;
EOF


%check
%{__python3} setup.py test
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
#%%license LICENCE
%doc README.md
%{python3_sitelib}/*
%{_bindir}/*
%{_datadir}/applications/*



%changelog
* Thu Sep 07 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.2-2
- Fix desktop file. --manifest expects an argument and "" is considered as one
- Actually place the executable option for the correct desktop file key
- Associate desktop file with JSON files

* Thu Sep 07 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.2-1
- Initial build
